Package org.eclipse.cdt.utils.pty

## Class PTYInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.eclipse.cdt.utils.pty.PTYInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Direct Known Subclasses:
  `ConPTYInputStream`

    public class PTYInputStream
    extends InputStream

Since:
  6.0

### Constructor Summary

Constructors
`PTYInputStream​(PTY.MasterFD fd)` From a Unix valid file descriptor set a Reader.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Close the Reader
`protected void` `finalize()`
`int` `read()` Implementation of read for the InputStream.
`int` `read​(byte[] buf, int off, int len)`

### Methods inherited from class java.io.InputStream

`available, mark, markSupported, nullInputStream, read, readAllBytes, readNBytes, readNBytes, reset, skip, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PTYInputStream

    public PTYInputStream​(PTY.MasterFD fd)

From a Unix valid file descriptor set a Reader.

Parameters:
  `fd` - file descriptor.

### Method Detail

#### read

    public int read()
             throws IOException

Implementation of read for the InputStream.

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException` - on error.

#### read

    public int read​(byte[] buf,
                    int off,
                    int len)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`
See Also:
  `InputStream.read(byte[], int, int)`

#### close

    public void close()
               throws IOException

Close the Reader

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `InputStream`
Throws:
  `IOException` - on error.

#### finalize

    protected void finalize()
                     throws IOException

Overrides:
  `finalize` in class `Object`
Throws:
  `IOException`